---
title: "Get regulatory action values for a specific regulatory action"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/953bc6f0-354b-4960-adc0-3acdb3d638a2/operations/getRegulatoryActionValues"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/953bc6f0-354b-4960-adc0-3acdb3d638a2.md

# Get regulatory action values for a specific regulatory action

`GET` `/v2/regulatoryActions/{id}/regulatoryActionValues`

Operation ID: `getRegulatoryActionValues`

Returns all regulatory actions value records for ID of a given regulatory action.

## Path parameters

- `id` (integer, required) - Unique regulatory actions ID

## Query parameters

- `size` (integer, int64, optional) - the number of objects on the page (min = 1 / max = 1,000)

## Responses

- `200` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found
- `405` - Method Not Allowed
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.80.2
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v2/regulatoryActions/{id}/regulatoryActionValues:
    get:
      tags:
        - Producer Regulatory Actions
      operationId: getRegulatoryActionValues
      summary: Get regulatory action values for a specific regulatory action
      description: >
        Returns all regulatory actions value records for ID of a given
        regulatory action.
      parameters:
        - name: id
          in: path
          description: Unique regulatory actions ID
          required: true
          schema:
            type: integer
        - $ref: "#/components/parameters/sizeParam"
      responses:
        "200":
          description: Success
          content:
            application/hal+json:
              schema:
                type: object
                properties:
                  embedded:
                    type: object
                    properties:
                      regulatoryActionValues:
                        type: array
                        items:
                          allOf:
                            - $ref: "#/components/schemas/RegulatoryActionValuesV2"
                            - $ref: "#/components/schemas/SelfLink"
                            - type: object
                              properties:
                                links:
                                  $ref: "#/components/schemas/SelfLink"
          headers:
            ratelimit-limit:
              $ref: "#/components/headers/ratelimit-limit"
            ratelimit-remaining:
              $ref: "#/components/headers/ratelimit-remaining"
            ratelimit-reset:
              $ref: "#/components/headers/ratelimit-reset"
        "400":
          $ref: "#/components/responses/400BadRequest"
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "403":
          $ref: "#/components/responses/403Forbidden"
        "404":
          $ref: "#/components/responses/404NotFound"
        "405":
          $ref: "#/components/responses/405MethodNotAllowed"
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  parameters:
    sizeParam:
      name: size
      in: query
      description: the number of objects on the page (min = 1 / max = 1,000)
      required: false
      schema:
        type: integer
        format: int64
        default: 250
        minimum: 1
        maximum: 1000
  schemas:
    RegulatoryActionValuesV2:
      type: object
      properties:
        regulatoryActionValues:
          type: array
          items:
            allOf:
              - $ref: "#/components/schemas/RegulatoryActionValuesBase"
              - type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      last_nipr_alert_update:
                        type: string
                        format: date-time
                        example: 2024-01-20T10:54:35.30506+00:00
                      last_nipr_entity_update:
                        type: string
                        format: date-time
                        example: 2024-04-16T22:58:09.398811+00:00
                  deleted:
                    type: boolean
                    example: true
    SelfLink:
      type: object
      properties:
        self:
          type: object
          properties:
            href:
              type: string
              example: https://api.sandbox.agentsync.io/v1/{endpoint}/{id}
    RegulatoryActionValuesBase:
      type: object
      description: All regulatory actions should have three associated child objects -
        disposition, origin, and reason
      properties:
        id:
          type: integer
          example: 123
          description: Unique identifier for the regulatory action value.
        regulatoryActionId:
          type: integer
          example: 1234567
          description: Unique identifier for the related regulatory action.
        transactionId:
          type: string
          format: uuid
          example: ae51f10b-8b5e-40ba-98a9-8f860392b344
        type:
          type: string
          enum:
            - REASON
            - ORIGIN
            - DISPOSITION
          example: DISPOSITION
          description: One of the following values is expected per object - `REASON`,
            `ORIGIN`, `DISPOSITION`
        value:
          type: string
          example: Cease And Desist
          description: Description of the related regulatory action
        createdAt:
          type: string
          format: date
          example: 2021-03-23
          description: Date of the creation of this record in AgentSync.
        updatedAt:
          type: string
          format: date
          example: 2024-04-16
          description: Date of the most recent update to this record in AgentSync
  headers:
    ratelimit-limit:
      description: Maximum number of requests allowed in the current window
      schema:
        type: integer
    ratelimit-remaining:
      description: Number of requests remaining in the current window
      schema:
        type: integer
    ratelimit-reset:
      description: Time when the rate limit will reset
      schema:
        type: integer
  responses:
    400BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 400
              error:
                type: string
                example: Bad Request
              message:
                type: string
                example: Invalid parameter values provided - {parameter}:[{invalid values}]
              path:
                type: string
                example: "{endpoint_path}"
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    403Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742935636
              status:
                type: integer
                example: 403
              path:
                type: string
                example: "{requested endpoint}"
              error:
                type: string
                example: Forbidden
    404NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 404
              error:
                type: string
                example: Not Found
              message:
                type: string
                example: Error message describing what was not found
              path:
                type: string
                example: "{requested endpoint}"
    405MethodNotAllowed:
      description: Method Not Allowed
      content:
        application/json:
          schema:
            type: object
            properties:
              type:
                type: string
                example: about:blank
              status:
                type: integer
                example: 405
              detail:
                type: string
                example: Method 'PUT' is not supported.
              instance:
                type: string
                example: "{requested endpoint}"
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
